---
# This is an example playbook to execute Ansible tests.

- name: "Verify"
  hosts: "all"
  gather_facts: false
  tasks:
    - name: "Checke motd"
      command: 'grep -e "\!\!\!   ROOT-SERVER   \!\!\!" /etc/motd'
      register: "grep_result"
      failed_when: "grep_result.rc != 0"
      changed_when: false
    - name: "Erzeuge lokalen Testuser"
      user:
        name: "localtest"
        state: "present"
    - name: "Überprüfe SUDO-Rechte"
      command: "sudo -l -U localtest"
      register: "sudotestresult"
      failed_when: "sudotestresult.stdout.find('(ALL : ALL) ALL') == -1"
      changed_when: false
...
